=== debian/changelog ===
crystal-dock (2.15-1) unstable; urgency=medium

  * Initial release (Closes: #1116315).

 -- David Mohammed <fossfreedom@ubuntu.com>  Wed, 03 Dec 2025 22:58:20 +0000
