=== debian/changelog ===
crystal-dock (2.16-1) unstable; urgency=medium

  * New upstream release

 -- David Mohammed <fossfreedom@ubuntu.com>  Sun, 15 Feb 2026 19:40:28 +0000
