=== debian/watch ===
Version: 5

Template: Github
Owner: dangvd
Project: crystal-dock
